Skip to main content
POST
/
users
Invite user to workspace
curl --request POST \
  --url https://api.blaxel.ai/v0/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com"
}
'
{
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "createdBy": "<string>",
  "updatedBy": "<string>",
  "email": "<string>",
  "expiresAt": "<string>",
  "invitedBy": "<string>",
  "role": "<string>",
  "workspace": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Body

application/json

Email of the user to invite

email
string<email>

Response

successful operation

Pending invitation in workspace

createdAt
string
read-only

The date and time when the resource was created

updatedAt
string
read-only

The date and time when the resource was updated

createdBy
string
read-only

The user or service account who created the resource

updatedBy
string
read-only

The user or service account who updated the resource

email
string

User email

expiresAt
string

The date and time when the invitation expires

invitedBy
string

User sub

role
string

ACL role

workspace
string

Workspace name

Last modified on May 13, 2026